cURL
curl --request POST \ --url https://api.datalinks.com/api/v1/query \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "username": "<string>", "namespace": "<string>", "dataset": "<string>", "query": "", "naturalLanguageQuery": "<string>", "model": "<string>", "provider": "<string>", "explainRequested": true } '
{ "data": [ {} ], "metadata": { "count": 123, "executedQuery": "<string>", "originalQuery": "<string>", "startingDataset": "<string>", "finalDataset": "<string>" }, "explainResults": { "id": "930f9d0d-eb0e-4e2f-9b1f-91855efe6b94", "datasetQueriesStat": { "username": "<string>", "namespace": "<string>", "dataset": "<string>", "resultCount": 123 }, "start": "2024-03-01T14:30:22.000Z", "duration": "PT1M30S", "children": "<array>" }, "resultType": "<string>" }
Execute an ontology query.
Use a Bearer token for authentication. Submit the token using the Authorization header: Authorization: Bearer <token>.
Authorization
Authorization: Bearer <token>
Returns query results.
Array of ontology data objects retrieved from queries.
Show child attributes
Explain results for the query.
Type for the result of an operation.